> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Get all e-invoicing connections

GET https://api.sandbox.monite.com/v1/einvoicing_connections

Reference: https://docs.monite.com/api/einvoicing-connections/get-einvoicing-connections

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Headers

- `x-monite-version` (string, required)
- `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource.

## Response

### 200

Successful Response

- `data` (list of EinvoicingConnectionResponse, required) — List of connections for the current page

## Errors

### 400 Get Einvoicing Connections Request Bad Request Error

Bad Request

- `error` (ErrorSchema, required)

### 401 Get Einvoicing Connections Request Unauthorized Error

The `Authorization` header is missing or contains an invalid or expired access token. See [Authentication](https://docs.monite.com/api/concepts/authentication) to learn how to authenticate API calls.

- `error` (ErrorSchema, required)

### 403 Get Einvoicing Connections Request Forbidden Error

The specified access token does not have permissions to perform this operation.

- `error` (ErrorSchema, required)

### 422 Get Einvoicing Connections Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 429 Get Einvoicing Connections Request Too Many Requests Error

API rate limit has been exceeded. Check the response headers for the rate limit information.

- `any`

## Types

### EinvoicingConnectionResponse

- `id` (string, required)
- `created_at` (datetime, required) — Date of Integration
- `updated_at` (datetime, required) — Last update of Integration
- `address` (EinvoicingAddress, required) — Integration Address
- `credentials` (list of EinvoicingNetworkCredentialsResponse, required) — List of credentials
- `entity_id` (string, required) — ID of the entity
- `legal_name` (string, required) — Legal name of the Entity
- `status` (string, required) — Current status of the integration
- `is_receiver` (boolean, optional, default: true) — Set to `true` if the entity needs to receive e-invoices.
- `is_sender` (boolean, optional, default: true) — Set to `true` if the entity needs to send e-invoices. Either `is_sender` or `is_receiver` or both must be `true`.
- `provider_id` (string, optional) — ID assigned by integration partner

### ErrorSchema

- `message` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### EinvoicingAddress

- `address_line1` (string, required) — Street address line 1
- `city` (string, required) — City name
- `country` (enum, required) — Country name
  - Allowed values: `DE`, `NL`, `BE`
- `postal_code` (string, required) — Postal/ZIP code
- `address_line2` (string, optional) — Street address line 2
- `state` (string, optional) — State/Province/County

### EinvoicingNetworkCredentialsResponse

- `id` (string, required) — ID of the credentials
- `created_at` (datetime, required) — Date of credential
- `updated_at` (datetime, required) — Last update of credential
- `einvoicing_connection_id` (string, required) — ID of the Einvoicing connection
- `network_credentials_identifier` (string, required) — Network participant identifier
- `network_credentials_schema` (enum, required) — Network scheme identifier
  - Allowed values: `DE:VAT`, `NL:KVK`, `NL:VAT`, `BE:VAT`, `BE:EN`

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "id",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "address": {
        "address_line1": "address_line1",
        "city": "city",
        "country": "DE",
        "postal_code": "postal_code",
        "address_line2": "address_line2",
        "state": "state"
      },
      "credentials": [
        {
          "id": "id",
          "created_at": "2024-01-15T09:30:00Z",
          "updated_at": "2024-01-15T09:30:00Z",
          "einvoicing_connection_id": "einvoicing_connection_id",
          "network_credentials_identifier": "12345678",
          "network_credentials_schema": "DE:VAT"
        }
      ],
      "entity_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "legal_name": "legal_name",
      "status": "active",
      "is_receiver": true,
      "is_sender": true,
      "provider_id": "12345"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/einvoicing_connections"

headers = {
    "x-monite-version": "2024-05-25",
    "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/einvoicing_connections';
const options = {
  method: 'GET',
  headers: {
    'x-monite-version': '2024-05-25',
    'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/einvoicing_connections"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-monite-version", "2024-05-25")
	req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/einvoicing_connections")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-monite-version"] = '2024-05-25'
request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sandbox.monite.com/v1/einvoicing_connections")
  .header("x-monite-version", "2024-05-25")
  .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sandbox.monite.com/v1/einvoicing_connections', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    'x-monite-version' => '2024-05-25',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/einvoicing_connections");
var request = new RestRequest(Method.GET);
request.AddHeader("x-monite-version", "2024-05-25");
request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-05-25",
  "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/einvoicing_connections")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```